Kapitel 5. Paketmanagement
Zurück | 5.21 `apt-move` | Weiter

## 5.21 `apt-move`

`apt-move` ist ein Shell-Skript, mit dem eine Anzahl von lokal vorliegenden Debian-Paketen in eine Verzeichnisstruktur verschoben werden kann, die wiederum einem Debian-Archiv entspricht. Die Dateien werden dabei in einer Verzeichnisstruktur unterhalb von `$LOCALDIR/pool/...` abgelegt; die Variable `$LOCALDIR` kann dabei in der Konfigurationsdatei festgelegt werden. Hauptsächlich wurde `apt-move` entwickelt, um via `apt-get` aus dem Netz übertragene Dateien aus dem Datei-Cache in ein Debian-Archiv zu übernehmen. Die Konfiguration kann jedoch so angepasst werden, dass jede beliebige Sammlung von Paketen (beispielsweise von CD-ROMs) dem Archiv hinzugefügt werden kann.

Weiterhin besteht die Möglichkeit, mittels der Optionen `sync` und `mirror` eine Kopie eines Debian-Servers zu erstellen (oder von Teilen des Servers). Auch können überflüssige, veraltete Pakete gelöscht werden, und es können lokale Versionen der Dateien `Packages.gz` und `Sources.gz` erzeugt werden.

`apt-move` kennt eine ganze Reihe von Kommandos und Optionen:

    $Id: apt-move,v 1.96 2003/07/27 04:18:04 herbert Exp $

    Usage:    apt-move [-c conffile] [-d dist] [-fqt] COMMAND

    Commands:
           get         - update your master files from local apt.
           getlocal    - alias of get.
           fsck        - fix broken repositories, use with caution.
           move        - move cache files into mirror tree.
           movefile    - move files specified on the command line.
           delete      - delete obsolete packages.
           packages    - create new local Packages files.
           update      - alias for 'get move delete packages'.
           local       - alias for 'move delete packages'.
           localupdate - alias for 'getlocal move delete packages'.
           mirror      - update your local mirror from remote rsync site.
           sync        - same as mirror, but only gets packages that
                         you currently have installed on your system.
           exclude     - prints a list of all packages EXCLUDED from the
                         mirror by the .exclude file (ignores -t).
           listbin     - prints lists of packages which can serve as the
                         input to mirrorbin.  Takes the arguments mirror,
                         sync, or repo.
           listsrc     - same as listbin, but lists source packages.
           mirrorbin   - same as mirror, but gets the packages specified
                         on stdin.
           mirrorsrc   - same as mirrorbin, but gets source packages.

    Options:
      -c  Specify an alternative configuration file.
      -d  Override the DIST setting.
      -f  Override the MAXDELETE setting (use with caution).
      -q  Be quiet; suppress normal output.
      -t  Show what apt-move would do, but do not actually do anything.

    See the apt-move(8) manpage for further details.

Bevor `apt-move` eingesetzt werden kann, ist die Konfigurationsdatei `/etc/apt-move.conf` anzupassen. Diese Datei ist, wie alle Konfigurationsdateien auf einem Debian-System, recht gut kommentiert. Wichtig ist es, die Optionen `APTSITES` (entsprechend den Einträgen in der Datei `/etc/apt/sources.list`), `LOCALDIR` und `DIST` anzupassen. Diese beschreiben die Server, von denen die Dateien geholt werden sollen, den lokalen Bereich, in dem die Pakete gespeichert werden sollen, und die gewünschte Distribution.

Nach der Anpassung dieser drei Optionen wird `apt-move` zumindest keinen größeren Schaden anrichten. Weitere Anpassungen können später noch vorgenommen werden. Beispielsweise ist es sinnvoll, nach einiger Zeit nicht mehr benötigte Dateien zu löschen; dies wird durch Setzen der Option `DELETE` auf `yes` erreicht.

In jedem Fall sollten die ersten Versuche mit `apt-move` immer den Parameter `-t` beinhalten; dieser testet nur die Einstellungen, und es werden keine Aktionen durchgeführt.

Sollen bestimmte Dateien (beispielsweise Kernel-Sourcen) ausgeschlossen werden, so können diese in einer Exclude-Datei festgelegt werden. Ein Beispiel für eine solche Datei finden Sie unter `/usr/share/doc/apt-move/examples/SAMPLE.exclude`.

Zurück | Nach oben | Weiter
5.20 `apt-proxy` | Zum Anfang | 5.22 `apt-ftparchive`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).